VULKAN_HPP_NAMESPACE::DescriptorImageInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DescriptorImageInfo:
[legend]

## Public Member Functions

| DescriptorImageInfo (Sampler sampler_=Sampler(), ImageView imageView_=ImageView(), ImageLayout imageLayout_=ImageLayout::eUndefined)
| DescriptorImageInfo (VkDescriptorImageInfo const &rhs)
DescriptorImageInfo & | operator= (VkDescriptorImageInfo const &rhs)
DescriptorImageInfo & | setSampler (Sampler sampler_)
DescriptorImageInfo & | setImageView (ImageView imageView_)
DescriptorImageInfo & | setImageLayout (ImageLayout imageLayout_)
| operator VkDescriptorImageInfo const & () const
| operator VkDescriptorImageInfo & ()
bool | operator== (DescriptorImageInfo const &rhs) const
bool | operator!= (DescriptorImageInfo const &rhs) const

## Data Fields

Sampler | sampler
ImageView | imageView
ImageLayout | imageLayout

## Detailed Description

Definition at line 7920 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorImageInfo() [1/2]

VULKAN_HPP_NAMESPACE::DescriptorImageInfo::DescriptorImageInfo | ( | Sampler | sampler_ = `Sampler()`,
|  | ImageView | imageView_ = `ImageView()`,
|  | ImageLayout | imageLayout_ = `ImageLayout::eUndefined`
| ) |  |

inline

Definition at line 7922 of file vulkan.hpp.

: sampler( sampler_ )
, imageView( imageView_ )
, imageLayout( imageLayout_ )
{
}

## DescriptorImageInfo() [2/2]

VULKAN_HPP_NAMESPACE::DescriptorImageInfo::DescriptorImageInfo | ( | VkDescriptorImageInfo const & | rhs | ) |

inline

Definition at line 7931 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorImageInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkDescriptorImageInfo &()

VULKAN_HPP_NAMESPACE::DescriptorImageInfo::operator VkDescriptorImageInfo & | ( |  | ) |

inline

Definition at line 7964 of file vulkan.hpp.

{
return *reinterpret_cast<VkDescriptorImageInfo*>(this);
}

## operator VkDescriptorImageInfo const &()

VULKAN_HPP_NAMESPACE::DescriptorImageInfo::operator VkDescriptorImageInfo const & | ( |  | ) | const

inline

Definition at line 7959 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDescriptorImageInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorImageInfo::operator!= | ( | DescriptorImageInfo const & | rhs | ) | const

inline

Definition at line 7976 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DescriptorImageInfo& VULKAN_HPP_NAMESPACE::DescriptorImageInfo::operator= | ( | VkDescriptorImageInfo const & | rhs | ) |

inline

Definition at line 7936 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorImageInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorImageInfo::operator== | ( | DescriptorImageInfo const & | rhs | ) | const

inline

Definition at line 7969 of file vulkan.hpp.

{
return ( sampler == rhs.sampler )
&& ( imageView == rhs.imageView )
&& ( imageLayout == rhs.imageLayout );
}

References imageLayout, imageView, and sampler.

Referenced by operator!=().

## setImageLayout()

DescriptorImageInfo& VULKAN_HPP_NAMESPACE::DescriptorImageInfo::setImageLayout | ( | ImageLayout | imageLayout_ | ) |

inline

Definition at line 7953 of file vulkan.hpp.

{
imageLayout = imageLayout_;
return *this;
}

References imageLayout.

## setImageView()

DescriptorImageInfo& VULKAN_HPP_NAMESPACE::DescriptorImageInfo::setImageView | ( | ImageView | imageView_ | ) |

inline

Definition at line 7947 of file vulkan.hpp.

{
imageView = imageView_;
return *this;
}

References imageView.

## setSampler()

DescriptorImageInfo& VULKAN_HPP_NAMESPACE::DescriptorImageInfo::setSampler | ( | Sampler | sampler_ | ) |

inline

Definition at line 7941 of file vulkan.hpp.

{
sampler = sampler_;
return *this;
}

## Field Documentation

## imageLayout

ImageLayout VULKAN_HPP_NAMESPACE::DescriptorImageInfo::imageLayout

Definition at line 7983 of file vulkan.hpp.

Referenced by operator==(), and setImageLayout().

## imageView

ImageView VULKAN_HPP_NAMESPACE::DescriptorImageInfo::imageView

Definition at line 7982 of file vulkan.hpp.

Referenced by operator==(), and setImageView().

## sampler

Sampler VULKAN_HPP_NAMESPACE::DescriptorImageInfo::sampler

Definition at line 7981 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DescriptorImageInfo::imageLayout
ImageLayout imageLayout
Definition: vulkan.hpp:7983
VULKAN_HPP_NAMESPACE::DescriptorImageInfo::sampler
Sampler sampler
Definition: vulkan.hpp:7981
VkDescriptorImageInfo
Definition: vulkan_core.h:2569
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DescriptorImageInfo::imageView
ImageView imageView
Definition: vulkan.hpp:7982
sampler
GLuint sampler
Definition: SDL_opengl_glext.h:1540
VULKAN_HPP_NAMESPACE::DescriptorImageInfo::DescriptorImageInfo
DescriptorImageInfo(Sampler sampler_=Sampler(), ImageView imageView_=ImageView(), ImageLayout imageLayout_=ImageLayout::eUndefined)
Definition: vulkan.hpp:7922
VULKAN_HPP_NAMESPACE::DescriptorImageInfo::operator==
bool operator==(DescriptorImageInfo const &rhs) const
Definition: vulkan.hpp:7969